Summary: Programmer's text editor written in Java
Name: jedit
Version: 5.6.0
Release: 2
License: GPL
Group: Applications/Editors
URL: https://www.jedit.org/
Source: https://raw.githubusercontent.com/bongochong/assistantpkgs/main/%{name}.tar.gz
Source2: https://gist.githubusercontent.com/bongochong/d5b75b3d30f9af0f7116d1509cf8a47a/raw/4202c5f1b0583be17f1dcc06d8515eccebfe8b48/jedit
Source3: https://gist.githubusercontent.com/bongochong/d5b75b3d30f9af0f7116d1509cf8a47a/raw/4202c5f1b0583be17f1dcc06d8515eccebfe8b48/jeditbg.sh
Source4: https://gist.githubusercontent.com/bongochong/d5b75b3d30f9af0f7116d1509cf8a47a/raw/4202c5f1b0583be17f1dcc06d8515eccebfe8b48/jedit.props
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch
BuildRequires: docbook-style-xsl
BuildRequires: java-11-openjdk-devel
BuildRequires: libxslt
BuildRequires: lua
Requires: java-11-openjdk
Requires: desktop-file-utils

%description
jEdit is an Open Source, cross platform text editor written in Java. It
has an extensive feature set that includes syntax highlighting, auto indent,
folding, word wrap, abbreviation expansion, multiple clipboards, powerful
search and replace, and much more.

Futhermore, jEdit is extremely customizable, and extensible, using either
macros written in the BeanShell scripting language, or plugins written
in Java.

%package javadoc
Summary: Javadoc for jEdit
Group: Development/Java   

%description javadoc
Javadoc for jEdit.

%prep

%setup -c

%build


%install
install -dm 755 %{buildroot}%{_datadir}/java/%{name}
install -dm 755 %{buildroot}%{_bindir}
install -dm 755 %{buildroot}%{_datadir}/man/man1

java -jar "%{name}%{version}install.jar" auto \
    "%{buildroot}/%{_datadir}/java/jedit/" \
    unix-script="%{buildroot}/%{_bindir}/" \
    unix-man="%{buildroot}/%{_datadir}/man/man1/"
  

install -Dm755 %{SOURCE2} "%{buildroot}%{_bindir}/jedit"
install -Dm755 %{SOURCE3} "%{buildroot}%{_bindir}/jeditbg"
install -Dm644 %{SOURCE4} "%{buildroot}%{_datadir}/jedit/default.props"
install -Dm644 "%{buildroot}%{_datadir}/java/jedit/doc/jedit.png" \
    "%{buildroot}%{_datadir}/pixmaps/jedit.png"


# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}/%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=jedit
GenericName=jedit
Comment=Text editor for programmers, written in Java
Icon=/usr/share/pixmaps/jedit.png
Type=Application
Categories=GTK;Development;IDE;TextEditor;
Exec=jedit
StartupNotify=false
Terminal=false
EOF

chmod a+x %{buildroot}%{_bindir}/%{name}

%clean
rm -rf %{buildroot}


%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/java/jedit/
%{_bindir}/jeditbg
%{_datadir}/%{name}/default.props
%{_datadir}/man/man1/%{name}.1.gz
%{_datadir}/pixmaps/%{name}.png 

%changelog
* Sat Jul  3 2021 bongochong <bongochong@github.com> - 5.6.0
- Rebuilt for Fedora
* Thu Jun 21 2012 Wei-Lun Chao <bluebat@member.fsf.org> - 4.3.3
- Rebuilt for Fedora
* Thu Apr 10 2008 Dag Wieers <dag@wieers.com> - 4.2-2 - 6256+/dag
- Fix typo in wrapper script.
* Wed Apr 09 2008 Dag Wieers <dag@wieers.com> - 4.2-1
- Initial package. (using DAR)
